> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Deposits

> This endpoint retrieves the account deposits.



## OpenAPI

````yaml GET /api/v1/deposits
openapi: 3.1.0
info:
  title: User Account API
  version: 1.0.0
servers:
  - url: https://user-account.sandbox.rails.xyz
security: []
paths:
  /api/v1/deposits:
    get:
      summary: Get Account Deposits
      operationId: getAccountDeposits
      parameters:
        - $ref: '#/components/parameters/start'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/depositsResponse'
              example:
                deposits:
                  - dataType: DEPOSIT
                    market: USDT
                    value: '1000'
                    txCreated: 1717466763457
                    refChainTxId: >-
                      0x19a89550272fc44a881d5e28a3619eace550b80191ef5a803163f90024d9f702
                last: >-
                  USDT#DEPOSIT#0x19a89550272fc44a881d5e28a3619eace550b80191ef5a803163f90024d9f702#1717466763457
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    start:
      name: start
      in: query
      required: false
      description: >-
        This is a parameter to support pagination. Get the value from the `last`
        field if present in the previous response.
      schema:
        type: string
  schemas:
    depositsResponse:
      type: object
      properties:
        deposits:
          type: array
          description: List of deposit transactions for the account.
          items:
            type: object
            properties:
              dataType:
                type: string
                description: Type of transaction. Always 'DEPOSIT' for deposits.
              market:
                type: string
                description: >-
                  Asset deposited (e.g., 'USDT'). Note: This field is named
                  'market', but it's an asset symbol, not a trading market.
              value:
                type: string
                description: Amount deposited.
              txCreated:
                type: number
                description: Deposit timestamp (milliseconds since epoch).
              refChainTxId:
                type: string
                description: Blockchain transaction hash for the deposit.
            required:
              - dataType
              - market
              - value
              - txCreated
              - refChainTxId
        last:
          $ref: '#/components/schemas/last'
      required:
        - deposits
    last:
      type: string
      description: >-
        This is a field in the response to support pagination. Use this value if
        present for the `start` parameter of the following request to get the
        next page of results.
  responses:
    Unauthorized:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: A human-readable message describing the error.
            required:
              - message
          example:
            message: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````